Skip to content

Endpoint

  • Method: GET
  • Path: /integrations/options/woo-products
  • Edition: Pro
  • Controller: PaymentMethodController@getWooProducts
  • Route source: fluent-booking-pro/app/Http/Routes/api.php:102
  • Policy: SettingsPolicy

Get Woo Products

GET
/integrations/options/woo-products

Handler: PaymentMethodController@getWooProducts. Source: fluent-booking-pro/app/Http/Routes/api.php:102.

Authorizations

ApplicationPasswords

WordPress Application Passwords — use Basic auth with username:application_password.

Type
API Key (header: Authorization)

Responses

Successful response.

application/json
JSON
{
"orders": [
{
"id": 0,
"status": "string",
"parent_id": {
},
"order_number": "string",
"type": "string",
"customer_id": 0,
"payment_method": {
},
"payment_mode": "string",
"payment_method_type": "string",
"payment_method_title": "string",
"currency": "string",
"subtotal": "string",
"discount_tax": "string",
"discount_total": "string",
"shipping_tax": "string",
"shipping_total": "string",
"tax_total": "string",
"total_amount": "string",
"total_paid": "string",
"rate": "string",
"note": "string",
"ip_address": "string",
"completed_at": "string",
"refunded_at": "string",
"uuid": "string",
"created_at": "string",
"updated_at": "string"
}
],
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"from": 0,
"to": 0
}

Playground

Authorization

Samples

Powered by VitePress OpenAPI